%define name 	gnome-swallow
%define version 1.2
%define release %mkrel 6

Summary: 	Embeds small programs into the GNOME panel
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL
URL:		http://www-unix.oit.umass.edu/~tetron/technology/swallow/
Group: 		Graphical desktop/GNOME
Source: 	%{name}-%{version}.tar.bz2
Patch0:		gnome-swallow-1.2-as-needed.patch
Patch1:		gnome-swallow-1.2-libgnomeui-flags.patch
Patch2:		gnome-swallow-1.2-qa-warning.patch
Buildroot: 	%_tmppath/%{name}-root
BuildRequires: 	gnome-panel-devel
BuildRequires:	gnomeui2-devel

%description
An applet for GNOME2 that allows any small application to be embedded into
the panel.  In this case embedded means physically shrunk into the panel, not
just an icon or an applet.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
autoreconf -f -i
%configure2_5x
%make

%install
%makeinstall
rm -fr %buildroot/%_docdir/*
%if %_lib != lib
mv %buildroot%_prefix/lib %buildroot%_libdir
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README ChangeLog
%{_libdir}/bonobo/servers/GNOME_Swallow.server
%{_libdir}/gnome-panel/gnome_swallow




%changelog
* Sat Dec 12 2009 Jérôme Brenier <incubusss@mandriva.org> 1.2-6mdv2010.1
+ Revision: 477843
- BuildRequires: gnomeui2-devel
- fix build errors / warnings - patches's sync with Gentoo

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.2-2mdv2008.1
+ Revision: 136450
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 1.2-2mdv2007.0
+ Revision: 108668
- Import gnome-swallow

* Sun Jan 14 2007 Gtz Waschk <waschk@mandriva.org> 1.2-2mdv2007.1
- fix buildrequires

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 1.2-2mdk
- fix paths for x86_64

